{#
/**
 * @file
 * Theme override to display a node.
 *
 * Available variables:
 * - node: The node entity with limited access to object properties and methods.
 *   Only method names starting with "get", "has", or "is" and a few common
 *   methods such as "id", "label", and "bundle" are available. For example:
 *   - node.getCreatedTime() will return the node creation timestamp.
 *   - node.hasField('field_example') returns TRUE if the node bundle includes
 *     field_example. (This does not indicate the presence of a value in this
 *     field.)
 *   - node.isPublished() will return whether the node is published or not.
 *   Calling other methods, such as node.delete(), will result in an exception.
 *   See \Drupal\node\Entity\Node for a full list of public properties and
 *   methods for the node object.
 * - label: (optional) The title of the node.
 * - content: All node items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - author_picture: The node author user entity, rendered using the "compact"
 *   view mode.
 * - date: (optional) Themed creation date field.
 * - author_name: (optional) Themed author name field.
 * - url: Direct URL of the current node.
 * - display_submitted: Whether submission information should be displayed.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - node: The current template type (also known as a "theming hook").
 *   - node--type-[type]: The current node type. For example, if the node is an
 *     "Article" it would result in "node--type-article". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node--view-mode-[view_mode]: The View Mode of the node; for example, a
 *     teaser would result in: "node--view-mode-teaser", and
 *     full: "node--view-mode-full".
 *   The following are controlled through the node publishing options.
 *   - node--promoted: Appears on nodes promoted to the front page.
 *   - node--sticky: Appears on nodes ordered above other non-sticky nodes in
 *     teaser listings.
 *   - node--unpublished: Appears on unpublished nodes visible only to site
 *     admins.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - content_attributes: Same as attributes, except applied to the main
 *   content tag that appears in the template.
 * - author_attributes: Same as attributes, except applied to the author of
 *   the node tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - view_mode: View mode; for example, "teaser" or "full".
 * - teaser: Flag for the teaser state. Will be true if view_mode is 'teaser'.
 * - page: Flag for the full page state. Will be true if view_mode is 'full'.
 * - readmore: Flag for more state. Will be true if the teaser content of the
 *   node cannot hold the main body content.
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_node()
 *
 */
#}

{#
  Since there is not really a benefit using an SDC for node templates (?),
  replace the radix:node sdc with a regular Twig template (based on
  the Radix SDC template).
#}

{% set without_fields = [
  'field_coverimage',
  'field_paragraphs',
  'field_subtitle',
  not node.field_hide_body.value ? '' : 'field_body',
]|merge(additional_without_fields ?: []) %}

{%
  set node_classes = [
    'node',
    node.isPromoted() ? 'node--promoted',
    node.isSticky() ? 'node--sticky',
    not node.isPublished() ? 'node--unpublished',
    node.bundle|clean_class,
    node.bundle|clean_class ~ '--' ~ view_mode|clean_class,
    'node--' ~ view_mode|clean_class,
    'node--' ~ node.bundle|clean_class ~ '--' ~ view_mode|clean_class,
    'view-mode--' ~ view_mode|clean_class,
  ]|merge(node_utility_classes ?: [])
%}

{%
  set author_classes = [
    'author',
  ]|merge(author_utility_classes ?: [])
%}

{%
  set node_content_classes = [
    'node__content',
  ]|merge(node_content_utility_classes ?: [])
%}

{% set node_attributes = attributes ?: create_attribute() %}

{% block node %}
  <article {{ node_attributes.addClass(node_classes) }}>
    {% block node_title_prefix %}
      {{ title_prefix }}
    {% endblock %}

    {# Check for Layout Builder #}
    {% if content._layout_builder.0 %}
      {{ content }}
    {% else %}
      {% block node_title %}
        {#
          FULL titles should be handled with the Drupal page title block by default (page-title.html.twig).
        #}
        {% if not page %}
          {%
            include 'radix:heading' with {
              content: label|default(''),
              heading_html_tag: heading_html_tag|default('h2'),
              title_link: title_link|default(url),
              heading_attributes: title_attributes,
              heading_utility_classes: ['container']
            }
          %}
        {% endif %}
      {% endblock %}

      {% block node_title_suffix %}
        {{ title_suffix }}
      {% endblock %}

      <div {{ content_attributes.addClass(node_content_classes) }}>
        {% block node_content %}
          <div class="container">
            {% if content.field_coverimage.0 and not node.field_hide_coverimage.value %}
              <div class="row gy-3">
                <div class="col-12 col-lg-8 order-2 order-lg-1">
                  {{ content|without(without_fields) }}
                </div>
                <div class="col-12 col-lg-4 order-1 order-lg-2">
                  {{ content.field_coverimage }}
                </div>
              </div>
            {% else %}
              {{ content|without(without_fields) }}
            {% endif %}
          </div>
        {% endblock node_content %}
        {% block node_content_full %}
          {{ content.field_paragraphs }}
        {% endblock node_content_full %}
      </div>

      {% block node_metadata %}
        {% if display_submitted %}
          <footer>
            <div {{ author_attributes.addClass(author_classes) }}>
              {{ author_picture }}

              {{ 'Submitted by @author on @date'|t({
                '@author': author_name,
                '@date': date
              }) }}
            </div>
          </footer>
        {% endif %}
      {% endblock node_metadata %}
    {% endif %}
  </article>
{% endblock node %}
